package com.ruoyi.bst.order.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

/**
 * @author wjh
 * 2024/12/16
 */
@Data
public class OrderQuery extends OrderVO{

    @ApiModelProperty("状态列表")
    private List<String> statusList;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("订单日期范围")
    private List<LocalDate> orderDateRange;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("交货日期范围")
    private List<LocalDate> deliveryDateRange;

    @ApiModelProperty("是否包含产品")
    private Boolean needProd;

    @ApiModelProperty("是否包含产品进度")
    private Boolean needProdProgress;

    @ApiModelProperty("是否包含工序")
    private Boolean needProcess;

    @ApiModelProperty("精准订单号")
    private String eqOrderNo;

    @ApiModelProperty("精准客户订单号")
    private String eqCustomOrderNo;

    @ApiModelProperty("排除的ID")
    private Long excludeId;
}
