package com.ruoyi.bst.prodProcess.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.validate.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 产品工序对象 bst_prod_process
 *
 * @author ruoyi
 * @date 2024-12-17
 */
@Data
public class ProdProcess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "订单产品ID")
    @ApiModelProperty("订单产品ID")
    private Long orderProdId;

    @Excel(name = "生产车间ID")
    @ApiModelProperty("生产车间ID")
    @NotNull(message = "生产车间不能为空", groups = {ValidGroup.Create.class})
    private Long deptId;

    @Excel(name = "数量")
    @ApiModelProperty("数量")
    @NotNull(message = "工序数量不能为空", groups = {ValidGroup.Create.class})
    @Min(value = 1, message = "工序数量不能小于1")
    private BigDecimal num;

    @Excel(name = "是否最终工序")
    @ApiModelProperty("是否最终工序")
    @NotNull(message = "是否最终工序不能为空", groups = {ValidGroup.Create.class})
    private Boolean isEnd;

    @Excel(name = "排序")
    @ApiModelProperty("排序")
    private Integer sort;

    @Excel(name = "部门负责工序名称")
    @ApiModelProperty("部门负责工序名称")
    private String deptProcess;
}
